package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdCompany;
import com.xmomen.module.base.entity.CdCompanyExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdCompanyMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdCompanyExample example);

    // 根据条件删除记录
    int deleteByExample(CdCompanyExample example);

    // 插入记录
    int insertSelective(CdCompany record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdCompany record, @Param("example") CdCompanyExample example);
}